lp:~gaspa/ubuntu/natty/redland/fix-669385

Created by Andrea Gasparini on 2010-11-01 and last modified on 2010-11-01
Get this branch:
bzr branch lp:~gaspa/ubuntu/natty/redland/fix-669385
Only Andrea Gasparini can upload to this branch. If you are Andrea Gasparini please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Andrea Gasparini
Status:
Development

Recent revisions

20. By Andrea Gasparini on 2010-11-01

debian/rules: set LDFLAGS to fix FTBFS with gold linker.(LP: #669385)

19. By Dave Beckett <email address hidden> on 2010-08-20

* debian/control:
  - Standards Version: 3.9.1 (no changes)
* source format 3.0 (quilt)
* Remove cdbs simple-patchsys.mk
* Added patch librdf-rasqal-dg.patch to let sparql queries work with
  multiple graphs using rasqal

18. By Dave Beckett <email address hidden> on 2010-03-10

* debian/control:
  - Standards Version: 3.8.4 (no changes)
  - librdf0 package Suggests: redland-utils not Recommends: to prevent
    installing utility for library-only users (Closes: #573271, #573207)
  - librdf0-dev package Recommends: redland-utils for developers

17. By Harald Sitter on 2010-02-22

Since Ubuntu installs recommends by default, a utils package should not
be recommended by a librdf0 (changed to suggests)

16. By Dave Beckett <email address hidden> on 2009-12-17

* New upstream release
  - fixes CVE-2009-3736 (Closes: #559826)
* Require rasqal 0.9.17 (librasqal2-dev) to build
* Removed upstream patches 001-storage-module-link.patch and
  002-sqlite-storage-3617.patch

15. By Dave Beckett <email address hidden> on 2009-11-28

* debian/control:
  - Remove VCS-PKG links (Closes: #543457)
  - Updated to standards version 3.8.3
  - Add 3 storage packages for MySQL, PostGreSQL and SQLite that
    replace librdf0 versions older than this (Closes: #502584)
* debian/librdf-storage-*.install:
  - install mysql, postgresql and sqlite storage libs in respective
    packages.
* Patches for 502584 via Yves-Alexis Perez - Thanks!

14. By Dave Beckett <email address hidden> on 2009-08-18

* debian/patches/002-sqlite-storage-3617.patch: Patch from upstream
  SVN r15404 to make sqlite storage work with sqlite 3.6.17+
  (Closes: #542211)
* replace libmysqlclient15-dev with libmysqlclient-dev (See #538476)

13. By Steve Kowalik on 2009-08-18

Replace libmysqlclient15-dev with libmysqlclient-dev.

12. By Dave Beckett <email address hidden> on 2009-04-29

* New upstream release
* Remove libtool dependency_libs from librdf.la
* debian/patches/001-storage-module-link.patch: Patch to make storage
  modules depend on librdf.la and dynamically load correctly
  Taken from fix to upstream bug
  http://bugs.librdf.org/mantis/view.php?id=302

11. By Dave Beckett <email address hidden> on 2009-03-30

* debian/control: Added ${misc:Depends} [lintian]
* Added librdf.devhelp2 symlink to help Devhelp (Closes: #501316)
* Updated to standards version 3.8.1

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/natty/redland
This branch contains Public information 
Everyone can see this information.

Subscribers